﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp45
{
    public partial class Form1 : Form
    {
        Random random;
        List<int> intList = new List<int>();
        List<Student> studentList = new List<Student>();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            random = new Random();
            intList.Add(10);
            intList.Add(20);
            intList.Add(100);
            intList.Add(5);
            Student s1 = new Student("Maria");
            studentList.Add(s1);
            Student s2 = new Student("Pavlos");
            studentList.Add(s2);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            for(int i = 0; i < studentList.Count; i++)
            {
                richTextBox1.AppendText(studentList.ElementAt(i).name+Environment.NewLine);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            foreach(Student s in studentList)
            {
                richTextBox1.AppendText(s.name + Environment.NewLine);
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            pictureBox1.ImageLocation = "images/dog2.jpg";
        }

        private void button4_Click(object sender, EventArgs e)
        {
            String[] arr = { "dog2.jpg", "monke2y.jpg", "pc.jpg" };
            pictureBox1.ImageLocation = "images/"+arr[random.Next(3)];
        }

        private void button5_Click(object sender, EventArgs e)
        {
            //pictureBox1.Location = new Point(860, 65);
        }

        private void button6_Click(object sender, EventArgs e)
        {
            richTextBox1.SaveFile("mytext.rtf");
        }

        private void button7_Click(object sender, EventArgs e)
        {
            richTextBox1.LoadFile("mytext.rtf");
        }
    }
    class Student
    {
        public Student(String name)
        {
            this.name = name;
        }
        public String name;
        String email;
        int age;
    }
}
